created: '2020-07-13T19:17:25.256249Z'
digest: 3ade4ee67ba7c43bcfbc40279849b77217f128fb1a98c413df857bb6b02b960c
id: 8e75c443-149b-4f3b-99b3-b2191f1449fe
inputs:
- name: inputs
outputs:
- data: steps.5.produce
  name: output predictions
schema: https://metadata.datadrivendiscovery.org/schemas/v0/pipeline.json
steps:
- arguments:
    inputs:
      data: inputs.0
      type: CONTAINER
  outputs:
  - id: produce
  primitive:
    digest: 913548f0c958b2201f038d19ebd5935d41d4b221073c4617ce320cd1123b8a3e
    id: 4b42ce1e-9b98-4a25-b68e-fad13311eb65
    name: Extract a DataFrame from a Dataset
    python_path: d3m.primitives.data_transformation.dataset_to_dataframe.Common
    version: 0.3.0
  type: PRIMITIVE
- arguments:
    inputs:
      data: steps.0.produce
      type: CONTAINER
  outputs:
  - id: produce
  primitive:
    digest: 10765d5ada1a6bb0ec208ffe4656546419bc2567ed103305cf10800cde65d62a
    id: e193afa1-b45e-4d29-918f-5bb1fa3b88a7
    name: Determine missing semantic types for columns automatically
    python_path: d3m.primitives.schema_discovery.profiler.Common
    version: 0.2.0
  type: PRIMITIVE
- arguments:
    inputs:
      data: steps.1.produce
      type: CONTAINER
  outputs:
  - id: produce
  primitive:
    digest: 4e86cfafc5f501d13b056f01f0c1514c77291286f527ae3e53bd25f20a51f8fb
    id: d510cb7a-1782-4f51-b44c-58f0236e47c7
    name: Parses strings into their types
    python_path: d3m.primitives.data_transformation.column_parser.Common
    version: 0.6.0
  type: PRIMITIVE
- arguments:
    inputs:
      data: steps.2.produce
      type: CONTAINER
  outputs:
  - id: produce
  primitive:
    digest: b868d2236d628728b9a46697509a5cd21969f845877a273ca1d4d05376de17d3
    id: 6c5dcfa3-1f87-4066-b16a-88c9c971f6e3
    name: Single Table Deep Feature Synthesis
    python_path: d3m.primitives.feature_construction.deep_feature_synthesis.SingleTableFeaturization
    version: 0.7.4
  type: PRIMITIVE
- arguments:
    inputs:
      data: steps.3.produce
      type: CONTAINER
    outputs:
      data: steps.2.produce
      type: CONTAINER
  outputs:
  - id: produce
  primitive:
    digest: 624f67887c23e0a36bc677d0f64fe088b6602052f9b038c378ec5df5cc792e1f
    id: cdbb80e4-e9de-4caa-a710-16b5d727b959
    name: XGBoost GBTree regressor
    python_path: d3m.primitives.regression.xgboost_gbtree.Common
    version: 0.1.0
  type: PRIMITIVE
- arguments:
    inputs:
      data: steps.4.produce
      type: CONTAINER
    reference:
      data: steps.2.produce
      type: CONTAINER
  outputs:
  - id: produce
  primitive:
    digest: b18f69e9d0eda61b22d8daab330891016e7e755ebac84b9ed8c7cea8b07dc42a
    id: 8d38b340-f83f-4877-baaa-162f8e551736
    name: Construct pipeline predictions output
    python_path: d3m.primitives.data_transformation.construct_predictions.Common
    version: 0.3.0
  type: PRIMITIVE
